package com.ningdatech.kqapi.irs.model;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @author CMM
 * @date 2024/8/23 11:37
 * /
 * /**
 * 事项基本信息列表查询实体
 * @since 2024/08/23 11:37
 */
@Data
public class ItemBasicInfoListQueryDTO {

    @ApiModelProperty("查询开始时间")
    private String startDate;

    @ApiModelProperty("查询结束时间")
    private String endDate;

    @ApiModelProperty("每页显示条数")
    private Integer pageSize;

    @ApiModelProperty("当前页码")
    private Integer pageNum;

    @ApiModelProperty("固定传参字段 update_date")
    private String paramStr;

    @ApiModelProperty("固定传参字段 v_dsc_sx_ads_share_item_qlt_qlsx_common_i_d_v_kq_insensitive")
    private String viewName;

    @ApiModelProperty("事项唯一标识")
    private String rowguid;
}
